Redeliver a webhook
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}/deliveries/{delivery_id}/redeliver', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}/deliveries/{delivery_id}/redeliver"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)curl --request POST \
--url https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}/deliveries/{delivery_id}/redeliver \
--header 'Authorization: Bearer <token>'{
"reset_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"code": "VALIDATION_ERROR",
"docs_url": "https://docs.keystoneos.xyz/guides/error-codes#validation-error"
}Webhooks
Redeliver a webhook
Requires the platform:webhooks:manage scope (as an M2M scope or a user permission).
Reset a delivery back to pending so the delivery worker re-sends it with a fresh signature. Attempt history is preserved under the same delivery id.
POST
/
v1
/
platforms
/
me
/
webhooks
/
{endpoint_id}
/
deliveries
/
{delivery_id}
/
redeliver
Redeliver a webhook
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}/deliveries/{delivery_id}/redeliver', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}/deliveries/{delivery_id}/redeliver"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)curl --request POST \
--url https://api-staging.keystoneos.xyz/v1/platforms/me/webhooks/{endpoint_id}/deliveries/{delivery_id}/redeliver \
--header 'Authorization: Bearer <token>'{
"reset_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"code": "VALIDATION_ERROR",
"docs_url": "https://docs.keystoneos.xyz/guides/error-codes#validation-error"
}Authorizations
Auth0 JWT access token. See Authentication for details.
Response
Successful Response
Outcome of resetting delivery rows back to pending.